%define name	leafnode
%define version	1.11.8
%define release %mkrel 6

Summary:	Leafnode - a leafsite NNTP server
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group: 		System/Servers
URL:		http://www.leafnode.org
Source: 	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2.asc
Source2:	%{name}.texpire
Source3:	%{name}.filters
Source4: 	%{name}.xinetd
Source5: 	%{name}-tmpfiles.conf
Conflicts:	inn
BuildRequires:	libpcre-devel
Requires:	xinetd
Requires(post):	systemd >= %{systemd_required_version}

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

%prep
%setup -q -n %{name}-%version

%build
%configure2_5x --with-spooldir=/var/spool/news \
	   --with-lockfile=/run/lock/news/%{name} \
	   --sysconfdir=%{_sysconfdir}/%{name}
make 

#perl -p -i -e 's|/etc/inetd.conf|/etc/xinetd.d/leafnode|' `grep -r /etc/inetd.conf ../$RPM_BUILD_dir/%{name}-%{version}.rel|awk '{print $1}'| sed 's|^..\/BUILD\/||'|sed -e 's|:.*$|\1|'`

%install
%makeinstall_std
install -d %{buildroot}%{_sysconfdir}/{cron.daily,%{name}}
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/texpire
install -m 600 config.example %{buildroot}%{_sysconfdir}/%{name}/config
install -m 600 %{SOURCE3} %{buildroot}%{_sysconfdir}/leafnode/filters
install -D -m644 %{SOURCE4} %{buildroot}/etc/xinetd.d/%{name}
install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

cp doc_german/README doc_german/README.de

# Install the man pages
install -d %{buildroot}%{_mandir}/{,de}/man{1,3,8}
install -m 644 doc_german/*.1 %{buildroot}%{_mandir}/de/man1
rm -rf doc_german/*.1
install -m 644 doc_german/*.8 %{buildroot}%{_mandir}/de/man8
rm -rf doc_german/*.8
install -m 644 `find . -name "*.1"` %{buildroot}%{_mandir}/man1
install -m 644 `find . -name "*.8"` %{buildroot}%{_mandir}/man8
rm -f %{buildroot}%{_mandir}/man?/pcre*
mkdir -p %{buildroot}/var/spool/news/message.id/{0,1,2,3,4,5,6,7,8,9}{0,1,2,3,4,5,6,7,8,9}{0,1,2,3,4,5,6,7,8,9}

%pre
if [ -f %{_sysconfdir}/cron.daily/texpire.cron ]; then
  rm -f %{_sysconfdir}/cron.daily/texpire.cron
fi

%post
%_tmpfilescreate %{name}

%clean
rm -rf %{buildroot}

%files
%doc COPYING CREDITS INSTALL README tools/archivefaq.pl update.sh
#%doc doc_german/README.de doc_german/txt/*
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/texpire
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_mandir}/man8/*
%lang(de) %{_mandir}/de/man8/*
%defattr (644,news,news,755)
%dir %{_sysconfdir}/leafnode
%attr(600,news,news) %config(noreplace) %{_sysconfdir}/leafnode/*
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%attr(750,news,news) %{_sbindir}/*
%attr(755,news,news) %{_bindir}/*
%{_tmpfilesdir}/%{name}.conf
%dir /var/spool/news
%dir /var/spool/news/*
%dir /var/spool/news/message.id/*


%changelog

* Mon Apr 22 2013 colin <colin> 1.11.8-6.mga3
+ Revision: 410971
- Fix lock dir permissions (mga#9827)

* Sun Mar 24 2013 colin <colin> 1.11.8-5.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Jan 18 2013 colin <colin> 1.11.8-4.mga3
+ Revision: 389426
- Use tmpfiles.d for runtime dir creation.
- Clean spec macro usage

* Sat Jan 12 2013 umeabot <umeabot> 1.11.8-3.mga3
+ Revision: 356746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.11.8-2.mga3
+ Revision: 323791
- rebuild for new pcre

* Wed Mar 16 2011 steletch <steletch> 1.11.8-1.mga1
+ Revision: 72867
- imported package leafnode


* Sun Oct 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.11.8-1mdv2011.0
+ Revision: 587905
- update to 1.11.8

* Fri Feb 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.11.7-1mdv2010.1
+ Revision: 504431
- update to 1.11.7

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.11.6-5mdv2010.0
+ Revision: 425505
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.11.6-4mdv2009.1
+ Revision: 351350
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.11.6-3mdv2009.0
+ Revision: 222384
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.11.6-2mdv2008.1
+ Revision: 150442
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.11.6-1mdv2008.0
+ Revision: 49358
- New version


* Thu Apr 13 2006 Jerome Soyer <saispo@mandriva.org> 1.11.5-1mdk
- New release 1.11.5

* Mon Jan 30 2006 Jerome Soyer <saispo@mandriva.org> 1.11.4-1mdk
- New release 1.11.4

* Sat Oct 08 2005 Michael Scherer <misc@mandriva.org> 1.11.3-1mdk
- New release 1.11.3
- mkrel
- erase RPM_BUILD_ROOT is for %%install

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.4-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.3-1mdk
- new release

* Thu Jul 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.1-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.51-1mdk
- new release

* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.46-1mdk
- new release

* Thu Aug 07 2003 Florin <florin@mandrakesoft.com> 1.9.42-1mdk
- 1.9.42

* Thu Jun 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.41-2mdk
- fix conflict with libpcre0

* Mon Jun 02 2003 Florin <florin@mandrakesoft.com> 1.9.41-1mdk
- 1.9.41
- add the asc source

